TimeWait = class(function(o, f, c)
	o.fn = f
	o.count = c
	o.alive = true
	o.exists = true
end)
function TimeWait:update()
	if self.alive then
		self.count = self.count - bludG.elapsed
		if self.count <= 0 then
			self.fn()
			self.alive = false
		end
	end
end